package roseindia.net;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;

public class JDBCStatementObjectExample {
	public static void main(String[] args) throws SQLException {
		Connection connection = null; // connection reference variable for getting
		// connection
		Statement statement = null; // Statement reference variable for query
		// Execution
		ResultSet resultSet = null; // ResultSet reference variable for saving query
		// result
		String conUrl = "jdbc:mysql://localhost:3306/";
		String driverName = "com.mysql.jdbc.Driver";
		String databaseName = "student";
		String usrName = "root";
		String usrPass = "root";
		try {
			// Loading Driver
			Class.forName(driverName);
		} catch (ClassNotFoundException e) {
			System.out.println(e.toString());
		}
		try {
			// Getting Connection
			connection = DriverManager.getConnection(conUrl + databaseName, usrName,
					usrPass);
			
			// Getting reference to connection object
			statement = connection.createStatement();
			// creating Query String
			String query = "SELECT * FROM student";
			// excecuting query
			resultSet = statement.executeQuery(query);
			while (resultSet.next()) {
				// Didplaying data of tables
				System.out.println("Roll No " + resultSet.getInt("RollNo") + ", Name "
						+ resultSet.getString("Name") + ", Course "
						+ resultSet.getString("Course") + ", Address "
						+ resultSet.getString("Address"));
			}
		} catch (Exception e) {
			System.out.println(e.toString());
		} finally {
			// Closing connection
			resultSet.close();
			statement.close();
			connection.close();
		}
	}
}